%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-should
Version:    1.2.2
Release:    3%{?dist}
Summary:    A test framework agnostic BDD-style assertions for Node.js
# License text is included in Readme.md
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/visionmedia/should.js
Source0:    http://registry.npmjs.org/should/-/should-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

%description
should is an expressive, readable, test framework agnostic, behavior-driven
development (BDD)-style assertion library for Node.js.

It extends the Object prototype with a single non-enumerable getter that
allows you to express how that object should behave.

should literally extends Node's assert module. For example,
should.equal(str, 'foo') will work, just as assert.equal(str, 'foo') would,
and should.AssertionError is assert.AssertionError, meaning any test framework
supporting this constructor will function properly with should.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/should
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/should

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%{nodejs_sitelib}/mocha/bin/mocha --ui exports
%endif


%files
%doc History.md Readme.md examples/
%{nodejs_sitelib}/should


%changelog
* Sun Jul 28 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.2.2-3
- restrict to compatible arches

* Wed Jun 19 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.2.2-2
- rebuild for missing npm(should) provides on EL6

* Sun Feb 24 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.2.2-1
- update to upstream release 1.2.2
- fix typo in description

* Thu Feb 14 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.2.1-1
- initial package
